<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CSS Single Element waves</title>
    <style>
        *{
            margin: 0;
            padding: 0;
            font-family: sans-serif;
            font-weight: 100;
            color: #222;
        }
        :root{
            --primaryColor:#2d2e40;
        }
        body{
            height: 100vh;
            display: flex;
            justify-content: center;
            align-items: center;
            flex-direction: columns;
            background: #eee;
        }
        .container{
            width: 400px;
            height: 400px;
            position: relative;
            overflow: hidden;
            border-radius: 3px;
            box-shadow: inset 0 0 16px 2px #d1d1d1;
        }
        .contaienr::after,
        .container::before{
            content: "";
            display: block;
            position: absolute;
            top: 200px;
            box-shadow: 0 0 16px #d1d1d1;
        }
        .container::before{
            width: 600px;
            height: 600px;
            top: 170px;
            left: -100px;
            background: rgb(197, 84, 64);
            border-radius: 45%;
            animation: spin 6.5s infinite linear;
        }
        .contaienr::after{
            width: 700px;
            height: 700px;
            left: 0;
            left: -175px;
            background: tomato;
            border-radius: 40%;
            animation: spin 6s infinite linear
        }
        @keyframes spin{
            0%{
                transform: rotate(0deg);
            }
            100%{
                transform: rotate(360deg);
            }
        }

    </style>
</head>
<body>
    <div class="container">

    </div>
</body>
</html>